GitHub repository selection
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidselection_id*Selection IdFormat
uuidSuccessful Response
application/json- response
account_login*Account Loginexpires_at*Expires AtFormat
date-timeid*IdFormat
uuidinstallation_id*Installation Idrecommended_repository_ids?array<integer>Repositories to preselect: every authorized, unarchived repository not yet connected and not disconnected by a person, most recently pushed first, up to the plan's remaining repository capacity.
repositories*array<>workspace_id*Workspace IdFormat
uuidworkspace_name*Workspace Nameworkspace_slug*Workspace Slugcurl -X GET 'https://api.veriom.ai/v1/github/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repository-selections/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "account_login": "string", "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "installation_id": 0, "recommended_repository_ids": [ 0 ], "repositories": [ { "already_connected": true, "archived": true, "full_name": "string", "id": 0, "private": true } ], "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9", "workspace_name": "string", "workspace_slug": "string"}